org.gradle.api.artifacts.result

## Interface ComponentResult

- All Known Subinterfaces:
    ComponentArtifactsResult, UnresolvedComponentResult

      @Incubating
      public interface ComponentResult

  The result of resolving a component.
  Since:
    2.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ComponentIdentifier` | `getId()` Returns the ID of the requested component.

- - ### Method Detail

    - #### getId

          ComponentIdentifier getId()

      Returns the ID of the requested component.